Get skills
Skills
Get skills
Get skills
GET
Get skills
Retrieve the skill catalog from the HRIS. These are the skills that can be attached to employees and staffing entities (jobs / positions).
Authorizations
Headers
ID of the integration you want to interact with.
Query Parameters
Filter by a comma-separated list of IDs such as 222k7eCGyUdgt2JWZDNnkDs3,B5DVmypWENfU6eMe6gYDyJG3.
Filter by a comma-separated list of remote IDs.
Filter by the name field. Can be used to find skills by keywords present in the skill name.
Response
GET /hris/skills Positive response
Allowed value:
"success"Example:
{
"next": "eyJwYWdlIjoxMiwibm90ZSI6InRoaXMgaXMganVzdCBhbiBleGFtcGxlIGFuZCBub3QgcmVwcmVzZW50YXRpdmUgZm9yIGEgcmVhbCBjdXJzb3IhIn0=",
"results": [
{
"id": "28KMdr68N8kG9EzLwjsN9aoz",
"remote_id": "238476582",
"name": "TypeScript Programming",
"remote_created_at": "2022-08-07T14:01:29.196Z",
"changed_at": "2022-08-07T14:01:29.196Z",
"remote_deleted_at": null
}
]
}